<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';

only_reg();
$set['title']='Смена ника';
require '../sys/inc/thead.php';
title();
?>
<div class='fyt'>
<img src='/style/images/left.gif' alt='' class='icon'/> <a href='/'>Старт</a> &raquo <a href='/info.php?id=<?echo $user['id'];?>'><?echo $user['nick'];?></a> &raquo <a href='/pages/servis.php'>Сервисы</a> &raquo Смена ника
</div>
<?
if (isset($_GET['ok']))
{
$cena=500;
$nick=mysql_real_escape_string($_POST['nick']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` = '".my_esc($_POST['nick'])."'"),0)!=0)$err[]='Ник "'.stripcslashes(htmlspecialchars($_POST['nick'])).'" уже зарегистрирован';
if(!preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['nick']))$err[]='В нике присутствуют запрещенные символы';
if (preg_match("#[a-z]+#ui", $_POST['nick']) && preg_match("#[а-я]+#ui", $_POST['nick']))$err[]='Разрешается использовать символы только русского или только английского алфавита';
if (preg_match("#(^\ )|(\ $)#ui", $_POST['nick']))$err[]='Запрещено использовать пробел в начале и конце ника';
if (strlen2($nick)<3)$err[]='Короткий ник';
if (strlen2($nick)>32)$err[]='Длина ника превышает 32 символа';
if($user['balls']<$cena)$err[]='не хватает баллов, необходимо '.$cena.' у вас '.$user['balls'].'';
if(!isset($err)){
mysql_query("UPDATE `user` SET `nick` = '".my_esc($nick)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$cena)."' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: ?oks');
}
}
if(isset($_GET['oks']))
{
msg('Ник успешно изменен');
}
echo "<form action='?ok' method='post'>";
echo "Ник:<br />\n";
echo "<input type='text' name='nick' value='$user[nick]' /><br />\n";
echo "<input class='submit' type='submit' value='Изменить' /><br />\n";
echo "</form>";
?>
<div class='fyt'>
<img src='/style/images/left.gif' alt='' class='icon'/> <a href='/'>Старт</a> &raquo <a href='/info.php?id=<?echo $user['id'];?>'><?echo $user['nick'];?></a> &raquo <a href='/pages/servis.php'>Сервисы</a> &raquo Смена ника
</div>
<?
require '../sys/inc/tfoot.php';
?>